Description

The new class SingleDBVectorialConnetion allows set a schema. This means that if you  set the schema value on the Connection
Dialog you will only see the layers of that schema.

The identifier of the connection is not actually using the schema so, if you try to create a new connection without set the schema,
gvSIG, doesn't differenced between the two connections. Be able to set a default schema is useful for some applications, but there are
some different things that must be accomplished in this topic.

1.- It must be clear that there is not need to set the schema on the Connection Dialog. As the UI is designed now it seems that is a
mandatory field.
2.- Even if the user set a schema, he should be able to dynamically change it (maybe a combobox) to see the layers of others
schemas.

History
#1 - 02/28/2012 06:11 PM - Francisco Puga
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38041.

#2 - 02/28/2012 06:14 PM - Francisco Puga
- Assignee set to Francisco Puga

All the gui of how gvSIG connect to a database should be reviewed. The commited code in r38041 is not so much elegant but it works for this case. We
should review this for the next version of gvSIG. I will take care of it.

#3 - 02/20/2014 10:21 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Target version deleted (1.12.0-rc1)
